## python-enthoughtbase 3.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/metasci.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/metasci.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-enthoughtbase 3.0.5

=== debian/changelog ===
python-enthoughtbase (3.0.5-2) unstable; urgency=low

  * Add patches/fix_exceptions.diff to fix Python string exceptions
    (Closes: #585289)
  * Remove Conflicts on mayavi2, python-enthought-traits - not needed
  * Bump Standards-Version to 3.9.1

 -- Varun Hiremath <varun@debian.org>  Wed, 11 Aug 2010 01:49:01 -0400

python-enthoughtbase (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:47:57 -0400

python-enthoughtbase (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * Bump Standards-Version to 3.8.4

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 14:26:52 -0500

python-enthoughtbase (3.0.3-2) unstable; urgency=low

  * debian/control:
    - Add python-apptools to Depends (Closes: #560723)
    - Bump Standards-Version to 3.8.3

 -- Varun Hiremath <varun@debian.org>  Sun, 13 Dec 2009 00:02:26 -0500

python-enthoughtbase (3.0.3-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2
  * debian/copyright: fix lintian warnings

 -- Varun Hiremath <varun@debian.org>  Mon, 20 Jul 2009 02:52:45 -0400

python-enthoughtbase (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Fri, 27 Mar 2009 04:48:02 -0400

python-enthoughtbase (3.0.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:36:01 -0500

python-enthoughtbase (3.0.0-1) experimental; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Sun, 26 Oct 2008 01:27:12 -0400

=== debian/control ===
Source: python-enthoughtbase
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python-all, python-central (>= 0.6), python-setupdocs
Standards-Version: 3.9.1
Homepage: http://pypi.python.org/pypi/EnthoughtBase
XS-Python-Version: >=2.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enthoughtbase/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enthoughtbase/trunk/

Package: python-enthoughtbase
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-apptools
XB-Python-Version: ${python:Versions}
Description: Core packages for the Enthought Tool Suite
 The EnthoughtBase project includes a few core packages that are used
 by many other projects in the Enthought Tool Suite:
 .
   * enthought.etsconfig: Supports configuring settings that need to
     be shared across multiple projects or programs on the same
     system. Most significant of these is the GUI toolkit to be
     used. You can also configure locations for writing application
     data and user data, and the name of the company responsible for
     the software (which is used in the application and user data
     paths on some systems).
   * enthought.logger: Provides convenience functions for creating
     logging handlers.
   * enthought.util: Provides miscellaneous utility functions

## python-enthoughtbase 3.0.6

=== debian/changelog ===
python-enthoughtbase (3.0.6-1ubuntu1.1) natty-proposed; urgency=low

  * Bump XS-Python-Version to >= 2.5, 2.4 isn't supported any more
    (LP: #777095)

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 12 Nov 2011 14:32:58 +0200

python-enthoughtbase (3.0.6-1ubuntu1) natty-proposed; urgency=low

  * Recover 3.0.6 from snapshot.debian.org and upload to fix mayavi2
    (LP: #776078)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 03 May 2011 16:22:25 -0400

python-enthoughtbase (3.0.6-1) experimental; urgency=low

  * New upstream release
  * d/copyright: Fix BSD license referencing
  * Drop patches/fix_exceptions.diff -- merged upstream

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 21:24:43 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs, debhelper (>= 7), python-all, python-central (>= 0.6), python-setupdocs
 Standards-Version: 3.9.1
 Homepage: http://pypi.python.org/pypi/EnthoughtBase
-XS-Python-Version: >=2.4
+XS-Python-Version: >=2.5
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enthoughtbase/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enthoughtbase/trunk/

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed

install/python-enthoughtbase::
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete

get-orig-source:
	-uscan --upstream-version 0 --rename

## python-enthoughtbase 3.1.0

=== debian/changelog ===
python-enthoughtbase (3.1.0-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:46 +0000

python-enthoughtbase (3.1.0-2) unstable; urgency=low

  * Team upload.
  * Rebuild to pick up 2.7 and drop 2.5 from supported versions
  * d/control: Bump Standards-Version to 3.9.2

 -- Sandro Tosi <morph@debian.org>  Sat, 07 May 2011 09:48:55 +0200

python-enthoughtbase (3.1.0-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #617003)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 Apr 2011 23:45:59 -0400

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), python-all, python-central (>= 0.6), python-setupdocs
-Standards-Version: 3.9.1
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~), python-setupdocs
+Standards-Version: 3.9.2
 Homepage: http://pypi.python.org/pypi/EnthoughtBase
-XS-Python-Version: >=2.5
+X-Python-Version: >=2.4
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enthoughtbase/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enthoughtbase/trunk/
 
 Package: python-enthoughtbase
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-apptools
-XB-Python-Version: ${python:Versions}
 Description: Core packages for the Enthought Tool Suite
  The EnthoughtBase project includes a few core packages that are used
  by many other projects in the Enthought Tool Suite:

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM=pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/EnthoughtBase-(.*).tar.gz \
debian debian/orig-tar.sh
